Bug 126186 - X crash on logout
X crash on logout
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-06-17 04:48 EDT by Joachim Backes
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-06 17:38:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2004-06-17 04:48:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
sometimes, killing the x server by ctrl+alt+backspace is not possible.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.login and startx
2.press ctrl+alt+backspace

Actual Results:  Nothing happens

Expected Results:  the x server will be killed

Additional info:

Sometimes, this is the result when trying to logout by
Main-Menu->logout: no logging out is done, and in this situation,
pressing the buttons ctrl+alt+backspace have no effect.
Comment 1 Alan Cox 2004-06-18 22:48:53 EDT
What video card do you have ?
Comment 2 Joachim Backes 2004-06-21 01:46:16 EDT
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP
(rev 04)
Comment 3 Mike A. Harris 2004-07-07 03:34:32 EDT
After a hang, reboot into text mode, making sure to not start
the X server, make a backup of the server log file, then attach
that, the config file, and /var/log/messages uncompressed to the
bug report using the link below.

Once we have that information we can investigate the issue deeper.

Thanks in advance.
Comment 4 Mike A. Harris 2005-03-06 17:38:02 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:


If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.